<%
	UPDATE
		@schemas.mail_queue
	SET
		state = <%'%state'%>
		<%(?rule_id), rule_id = '%rule_id'%>
		<%(?reason), reason = '%reason'%>
	WHERE
	<%(?flood)
		remote_addr = '%remote_addr' AND state = 'reg'
	::
		mail_queue_id = '%mail_id'
	%>;
%>
